Get users
1 min
GET
https://usermgmt-api.optimizely.com/api/users
Query Parameters
- includeExternalStatusbooleanDescription
- externalUserIdstringDescription
- firstNamestringDescription
- lastNamestringDescription
- emailstringDescription
- homeOrganizationIdstringDescription
- organizationIdstringDescription
- userGroupIdsstring[]Description
- userIdsstring[]Description
- matchAnyUserGroupsbooleanDescription
- propertiesobject[]Description
- namestring
- valuestring
- isVirtualboolean
- beforeLastLoggedInstringDescription
- afterLastLoggedInstringDescription
- sizeinteger<int32>DescriptionFormatint32
- offsetinteger<int32>DescriptionFormatint32
Responses
200
- page_optiIdUser
- totalItemCountinteger<int32>Formatint32
- itemsoptiIdUser[]
- externalStatusstring
- idstring
- externalUserIdstring
- firstNamestring
- lastNamestring
- emailstring
- homeOrganizationIdstring
- userGroupIdsstring[]
- lastLoggedInstring<date-time>Formatdate-time
- createdstring<date-time>Formatdate-time
- modifiedstring<date-time>Formatdate-time
- propertiesproperty[]
- namestring
- valuestring
- isLocalInSSOboolean
- isVirtualboolean
- linkslink[]
- relstring
- hrefstring
- linkslink[]
- relstring
- hrefstring
400
- validationError[]
- fieldstring
- codestring
- messagestring
401
403
500
curl
curl --request GET \
--url 'https://usermgmt-api.optimizely.com/api/users?properties=array' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://usermgmt-api.optimizely.com/api/users?properties=array", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://usermgmt-api.optimizely.com/api/users?properties=array")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://usermgmt-api.optimizely.com/api/users?properties=array"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The users response.
{
"totalItemCount": "",
"items": [
{
"externalStatus": "",
"id": "",
"externalUserId": "",
"firstName": "",
"lastName": "",
"email": "",
"homeOrganizationId": "",
"userGroupIds": [
""
],
"lastLoggedIn": "",
"created": "",
"modified": "",
"properties": [
{
"name": "",
"value": ""
}
],
"isLocalInSSO": false,
"isVirtual": false,
"links": [
{
"rel": "",
"href": ""
}
]
}
],
"links": [
{
"rel": "",
"href": ""
}
]
}400
// The request was invalid or cannot be otherwise served. An accompanying error message will explain further.
[
{
"field": "",
"code": "",
"message": ""
}
]401
// Unauthorized access to endpoint.
403
// Forbidden access to endpoint.
500
// A server error occurred, please try again.